package Source::Package::Tarball::Octave;

use strict;
use warnings;

use File::Basename;
use Source::Package::Tarball;
our @ISA=qw/Source::Package::Tarball/;

our $VERSION=0.000;

our $verbose;

sub guess_package_name_version {
   my ($self,$item)=@_;
   return unless $item=~/^(.+)-([\d\.]+)\.(tar(?:\..+)?|tgz|tbz2?|txz|zip|7z|rar)$/i;
   return (basename($1),$2); # ,$3 - suffix; not used.
}

1;
